<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Approved Fund</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Approved Fund
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Transactions</li>
        <li class="active"> Approved Fund</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Sub Menu</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li><a th:href="@{/transaksi/approval/pengajuandana}"><i class="fa fa-inbox"></i>  Request  </a></li>
                        <li><a th:href="@{/transaksi/approval/pengajuandana/approvallist}"><i class="fa fa-envelope-o"></i> Approved </a></li>
<!--                        <li><a th:href="@{/transaksi/approval/pengajuandana/alllist}"><i class="fa fa-file-text-o"></i> All </a></li>-->
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>

        </div>


        <div class="col-md-9">
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#timeline" data-toggle="tab">Pengajuan Dana</a></li>
                </ul>
                <div class="tab-content">
                    <div class="active tab-pane" id="timeline">
                        <!-- The timeline -->
                        <form method="get">
                            <div class="box-header with-border">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="range" class="col-sm-2 control-label">Range </label>

                                            <div class="col-sm-8">
                                                <div class="input-group">
                                                    <div class="input-group-addon">
                                                        <i class="fa fa-calendar"></i>
                                                    </div>
                                                    <input type="text" class="form-control pull-right" id="range" th:value="${range}" name="range">
                                                </div>
                                            </div>
                                            <!-- /.input group -->
                                        </div>
                                    </div>



                                    <div class="col-md-6" align="right">
                                        <div class="input-group input-group-sm" style="width: 150px;">
                                            <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                            <div class="input-group-btn">
                                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </form>
                        <br>
                        <div class="box-body no-padding">
                            <div class="row" th:each="dataPengajuanDanaApprove,row : ${listPengajuanDanaApprove}">
                                <div class="col-md-12">
                                    <div class="box box-success box-solid">
                                        <div class="box-header with-border">
                                            <div class="col-md-6">
                                                <span class="info-box-text"><b th:text="${dataPengajuanDanaApprove.pengajuanDana.departemen.namaDepartemen}"></b></span>
                                            </div>
                                            <div class="col-md-6" align="right">
                                                <span class="time" th:text="${#temporals.format(dataPengajuanDanaApprove.pengajuanDana.tanggalPengajuan,'dd-MMM-yyyy hh:mm:ss a')}"><i class="fa fa-clock-o"></i> 12:05</span>
                                            </div>
                                        </div>
                                        <!-- /.box-header -->
                                        <div class="box-body">

                                            <div class="col-md-2">
                                                <img class="img-thumbnail" th:src="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDanaApprove.pengajuanDana.id})}" alt="Attachment Image">
                                            </div>


                                            <div class="col-md-10">
                                                <div class="box box-success">
                                                    <div class="box-header with-border">
                                                        <div class="col-md-6">
                                                            <b class="info-box-text" th:text="${dataPengajuanDanaApprove.pengajuanDana.anggaran.kodeAnggaran+' - '+dataPengajuanDanaApprove.pengajuanDana.anggaran.namaAnggaran}"></b>
                                                        </div>
                                                        <div class="col-md-6" align="right">
                                                            <span class="time" th:text="${dataPengajuanDanaApprove.pengajuanDana.karyawanPengaju.namaKaryawan}"><i class="fa fa-clock-o"></i> 12:05</span>
                                                        </div>
                                                    </div>
                                                    <div class="box-body">
                                                        <div class="col-md-12">
                                                            <span class="info-box-text" th:text="${dataPengajuanDanaApprove.pengajuanDana.deskripsiBiaya}"></span>
                                                            <span class="info-box-text" th:text="${dataPengajuanDanaApprove.pengajuanDana.kuantitas+' '+dataPengajuanDanaApprove.pengajuanDana.satuan}"></span>
                                                            <span class="info-box-text"> <b th:text="${'Total Pengajuan : Rp. ' + #numbers.formatDecimal(dataPengajuanDanaApprove.pengajuanDana.jumlah, 0, 'POINT', 2, 'COMMA')}"></b></span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12" align="right">


                                                <div class="btn-group">
                                                    <form method="post" th:action="@{/transaksi/approval/pengajuandana/reject(pengajuanDanaApprove=${dataPengajuanDanaApprove.id})}">
                                                        <button type="submit" class="btn btn-danger btn-xs"
                                                                onclick="return confirm('Are you sure want to reject this?')">
                                                            Reject
                                                        </button>
                                                    </form>
                                                </div>
                                            </div>

                                        </div>
                                        <!-- /.box-body -->
                                    </div>
                                    <!-- /.box -->

                                </div>
                            </div>
                        </div>

                        <div class="box-footer clearfix">
                            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </div>

                    </div>




                </div>
                <!-- /.tab-content -->
            </div>
            <!-- /.nav-tabs-custom -->
        </div>
    </div>






</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#range').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
    <script>
        $(function () {
            //Enable iCheck plugin for checkboxes
            //iCheck for checkbox and radio inputs
            $('.mailbox-messages input[type="checkbox"]').iCheck({
                checkboxClass: 'icheckbox_flat-blue',
                radioClass: 'iradio_flat-blue'
            });

            //Enable check and uncheck all functionality
            $(".checkbox-toggle").click(function () {
                var clicks = $(this).data('clicks');
                if (clicks) {
                    //Uncheck all checkboxes
                    $(".mailbox-messages input[type='checkbox']").iCheck("uncheck");
                    $(".fa", this).removeClass("fa-check-square-o").addClass('fa-square-o');
                } else {
                    //Check all checkboxes
                    $(".mailbox-messages input[type='checkbox']").iCheck("check");
                    $(".fa", this).removeClass("fa-square-o").addClass('fa-check-square-o');
                }
                $(this).data("clicks", !clicks);
            });

            //Handle starring for glyphicon and font awesome
            $(".mailbox-star").click(function (e) {
                e.preventDefault();
                //detect type
                var $this = $(this).find("a > i");
                var glyph = $this.hasClass("glyphicon");
                var fa = $this.hasClass("fa");

                //Switch states
                if (glyph) {
                    $this.toggleClass("glyphicon-star");
                    $this.toggleClass("glyphicon-star-empty");
                }

                if (fa) {
                    $this.toggleClass("fa-star");
                    $this.toggleClass("fa-star-o");
                }
            });
        });
    </script>
</section>
</body>
</html>